Skip to main content

Subscribe To Mod

POST 

/games/:game-id/mods/:mod-id/subscribe

Subscribe the authenticated user to a corresponding mod. No body parameters are required for this action. Successful request will return the Mod Object of the newly subscribed mod.

NOTE: Users can subscribe to mods via mod.io, we recommend you poll or call the Get User Events endpoint when needed, to keep a users mods collection up to date.

Request​

Error Codes​

Status CodeError RefDescription
40311006

User performing this operation does not have an active account.

40315000

The requested mod cannot be subscribed to at this time due to a DMCA takedown request.

40315001

The requested mod cannot be subscribed to due to being marked as 'hidden'.

See here for more details about errors.

Responses​

Already Subscribed